Bug 611611 - Tapping any key causes kvkbd to print or move too many letters or spaces
Tapping any key causes kvkbd to print or move too many letters or spaces
Product: Fedora
Classification: Fedora
Component: kcm_touchpad (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2010-07-05 19:12 EDT by Kyle Pablo
Modified: 2011-02-16 14:20 EST (History)
4 users (show)

See Also:
Fixed In Version: kcm_touchpad-0.3.1-6.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-02-16 14:18:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kcmtouchpadrc (441 bytes, application/octet-stream)
2010-07-29 17:17 EDT, Kyle Pablo
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 245811 None None None Never

  None (edit)
Description Kyle Pablo 2010-07-05 19:12:35 EDT
Description of problem:
For example say I want to type kvkbd, it will type kkkk and stop.  I do not know why this is happening.  Ever since I rebooted after an update it has been doing this.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. type a word
2. prints the first letter of a word too many times
Actual results:

Expected results:

Additional info:
Comment 1 Radek Novacek 2010-07-07 04:08:54 EDT
I'm not able to reproduce this bug. kvkbd works properly for me - for each press of keyboard one character appears.
Comment 2 Kyle Pablo 2010-07-08 14:17:41 EDT
I tried different kernels and that did not help.  I reverted to an older version of kcm_touchpad and that did not change anything.  I think it either has something to do with synaptics touchpad driver or kde update.  I really need kvkbd to work properly because I am disabled and typing is not easy for me.
Comment 3 Kyle Pablo 2010-07-08 15:38:41 EDT
this only occurs when tapping the toucpad
Comment 4 Rex Dieter 2010-07-08 15:41:29 EDT
I can reproduce this too by tapping touchpad.  touchpad button clicks are ok.
Comment 5 Rex Dieter 2010-07-12 12:40:53 EDT
A good workaround in the meantime would be to switch to using the keyboard plasma applet.

click plasma/cashew in panel -> add widgets, (search for 'keyboard), double click to add

(NOTE: seems the plasmoid doesn't work when placed on the desktop, I'll be filing a bug about that)
Comment 6 Kyle Pablo 2010-07-22 12:05:10 EDT
Any idea on what is causing the tapping the toucpad issue with kvkbd?
Comment 7 Rex Dieter 2010-07-26 13:41:16 EDT
no ideas yet.
Comment 8 Rex Dieter 2010-07-27 09:46:31 EDT
OK, found a workaround.  In kcm_touchpad, set 'click time' to something much lower, close to the value of single tap timeout.

I found by experiementing with this value, I could get kvkbd to get 1 click for small 'click time', and up to 10-15 for large values. 

Not sure what 'click time' is supposed to accomplish here, but we should consider lowing it's default value, provided if doing that has no other ill side effects.
Comment 9 Kyle Pablo 2010-07-28 23:19:38 EDT
workaround did not work.  similar outcome.  My values are:

Max Tap move: 59pts
single tap timeout: 307ms
double tap time: 301ms
click time: 308ms
Comment 10 Rex Dieter 2010-07-29 09:05:30 EDT
In my testing, I found click time had to be less than double tap.  What mine is set to right now that is working is:

max tap move: 59
single tap: 51
double tap: 160
click time: 119
Comment 11 Kyle Pablo 2010-07-29 17:17:59 EDT
Created attachment 435407 [details]
Comment 12 Kyle Pablo 2010-07-29 17:18:24 EDT
Comment on attachment 435407 [details]

Attached is a working version of kcmtouchpadrc with help from Rex.  Tapping for kvkbd is corrected, tapping for moving windows works too.
Comment 13 Rex Dieter 2010-07-29 17:22:48 EDT
Let's bounce this over to kcm_touchpad, perhaps we could consider a different set of default values here.

rrix, what'cha think?
Comment 14 Kyle Pablo 2010-08-04 23:01:33 EDT

kcmtouchpadrc is a real pain.  I logged out/in of X and my tapping got screwed up.  I have not logged out in several days.  Generating a default kcmtouchpadrc does not help.  It does not list all the parameters.  I'm using:


Everything works except window tapping by moving and highlighting several files/folders by tapping and drag.
Comment 15 Ryan Rix 2010-08-22 02:53:39 EDT
Hmm, I never got mail on this, or bugzilla spammed it or something... anyways, let me play with things for a bit on my touchpad and fix up the touchpadrc again...

(and ping me on irc if I bugger out like that agian, Rex, not very responsible of me!)
Comment 16 Kyle Pablo 2010-11-21 12:53:21 EST
This is still an issue for F14.
Comment 17 Fedora Admin XMLRPC Client 2011-02-08 04:10:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Kevin Kofler 2011-02-08 05:32:41 EST
I have changed the package in Rawhide to drop the default kcmtouchpadrc entirely. (I'm planning to push that update to F13 and F14 as well.) That way, the defaults from the synaptics driver will be used instead of hardcoded defaults. If those defaults are bad as well, a bug should get filed against xorg-x11-drv-synaptics.
Comment 19 Fedora Update System 2011-02-08 07:59:54 EST
kcm_touchpad-0.3.1-6.fc14 has been submitted as an update for Fedora 14.
Comment 20 Fedora Update System 2011-02-08 08:03:03 EST
kcm_touchpad-0.3.1-6.fc13 has been submitted as an update for Fedora 13.
Comment 21 Fedora Update System 2011-02-08 17:58:25 EST
kcm_touchpad-0.3.1-6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcm_touchpad'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kcm_touchpad-0.3.1-6.fc14
Comment 22 Fedora Update System 2011-02-16 14:18:25 EST
kcm_touchpad-0.3.1-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2011-02-16 14:20:19 EST
kcm_touchpad-0.3.1-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.